@import "../../styles/mixins";

.ProductContainer.grid {
  display: flex;
  background: rgb(0, 0, 0, 0.8117647059);
  border: 2px solid darkgrey;
  max-width: 300px;

  .Product {
    position: relative;
    padding: 10px;
    display: flex;
    gap: 6px;
    flex-direction: column;
    justify-content: space-between;
  }

  .img {
    img {
      width: 100%;
      height: 20%;
      object-fit: cover;
    }
  }

  .body {
    padding: 0px;
  }

  .title {
    font-size: 14px;
    text-align: center;
    padding: 10px 0;
    color: white;
    font-weight: bold;
  }

  .article {
    font-size: 12px;
    color: grey;
  }

  .articleText {
    font-weight: bold;
  }

  .color {
    font-size: 12px;
    color: grey;
  }

  .colorText {
    font-weight: bold;
  }

  .bottom {
    display: flex;
    gap: 10px;
    justify-content: right;
    padding-top: 8px;
    border-top: 1px solid darkgray;
  }

  .actions {
    display: flex;
    align-items: center;
    gap: 10px;
  }

  .cart,
  .favorites {
    cursor: pointer;
    transition: all 300ms ease;
  }

  .cart {
    display: flex;
    align-items: center;
    gap: 4px;
  }

  .inCartTxt {
    font-size: 14px;
    color: white;
    font-weight: bold;
    text-transform: uppercase;
  }

  .inCartCount {
    font-size: 16px;
    color: white;
    font-weight: bold;
    text-transform: uppercase;
  }

  .favorites {
    position: absolute;
  }

  .price {
    text-align: center;
    font-size: 18px;
    color: yellow;
    font-weight: bold;
  }

  .modalAddCart {
    display: flex;
    font-weight: normal;
    gap: 10px;

    .title,
    .price {
      padding: 0;
      font-size: 14px;
      color: white;
    }
  }
}

.ProductContainer.layout {
  display: flex;
  background: rgb(0, 0, 0, 0.8117647059);
  border: 2px solid darkgrey;
  width: 100%;

  .Product {
    width: 100%;
    padding: 10px;
    display: grid;
    gap: 6px;
    grid-template-columns: 50% 48%;
    grid-template-areas:
      "body body"
      ". price"
      ". bottom";
  }

  .img {
    grid-area: img;
    padding: 0 20px;

    img {
      width: 75%;
      height: 166px;
      object-fit: contain;
    }
  }

  .body {
    grid-area: body;
    padding: 0px;
    display: grid;
    grid-template-columns: 50% 50%;
    grid-template-rows: 40px 20px 40px;
    grid-template-areas:
      "img title"
      "img article"
      "img color";
  }

  .title {
    grid-area: title;
    font-size: 16px;
    text-align: center;
    padding: 10px 0;
    color: white;
    font-weight: bold;
  }

  .article {
    grid-area: article;
    font-size: 12px;
    color: darkgrey;
  }

  .articleText {
    font-weight: bold;
  }

  .color {
    grid-area: color;
    font-size: 12px;
    color: darkgrey;
  }

  .colorText {
    font-weight: bold;
  }

  .bottom {
    grid-area: bottom;
    display: flex;
    gap: 10px;
    justify-content: right;
    padding-top: 8px;
    border-top: 2px solid darkgrey;
  }

  .actions {
    display: flex;
    align-items: center;
    gap: 10px;
  }

  .cart,
  .favorites {
    cursor: pointer;
    transition: all 300ms ease;
  }

  .cart {
    display: flex;
    align-items: center;
    gap: 4px;
  }

  .inCartTxt {
    font-size: 14px;
    color: white;
    font-weight: bold;
    text-transform: uppercase;
  }

  .inCartCount {
    font-size: 16px;
    color: white;
    font-weight: bold;
    text-transform: uppercase;
  }

  .favorites {
    position: absolute;
  }

  .price {
    grid-area: price;
    text-align: center;
    font-size: 18px;
    color: yellow;
    font-weight: bold;
  }
  .modalAddCart {
    display: flex;
    font-weight: normal;
    gap: 10px;

    .title,
    .price {
      padding: 0;
      font-size: 14px;
      color: white;
    }
  }
}